.\"	$NetBSD: yppoll.8,v 1.9 2008/01/25 19:58:53 christos Exp $
.\"
.\" Copyright (c) 1996 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Jason R. Thorpe.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd January 25, 2008
.Dt YPPOLL 8
.Os
.Sh NAME
.Nm yppoll
.Nd ask version of NIS map from NIS server
.Sh SYNOPSIS
.Nm
.Op Fl T
.Op Fl h Ar host
.Op Fl d Ar domain
.Ar mapname
.Sh DESCRIPTION
.Nm
asks a
.Tn NIS
server process for the order number and which host is the master
server for
.Ar mapname .
.Pp
The options are as follows:
.Bl -tag -width indent
.It Fl T
Use TCP protocol instead of UDP for request if
.Ar -h
option is present.
.It Fl h Ar host
Ask the
.Tn NIS
server process running on
.Ar host
for information about
.Ar mapname .
If
.Ar host
is not specified, the server polled is the default server returned by
.Xr ypwhich 1 .
.It Fl d Ar domain
Use the
.Tn NIS
domain
.Ar domain
instead of the default domain as returned by
.Xr domainname 1 .
.El
.Sh SEE ALSO
.Xr domainname 1 ,
.Xr ypcat 1 ,
.Xr ypmatch 1 ,
.Xr ypwhich 1 ,
.Xr nis 8 ,
.Xr ypbind 8 ,
.Xr ypset 8
.Sh AUTHORS
Theo de Raadt and John Brezak
